[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Fixed Size Integer Types |

## Typedefs
typedef detail::SelectIntegerType < 16, detail::SignedIntTypes > ::type | Int16
| 16-bit signed int
typedef detail::SelectIntegerType < 32, detail::SignedIntTypes > ::type | Int32
| 32-bit signed int
typedef detail::SelectIntegerType < 64, detail::SignedIntTypes > ::type | Int64
| 64-bit signed int
typedef detail::SelectIntegerType < 8, detail::SignedIntTypes > ::type | Int8
| 8-bit signed int
typedef detail::SelectBiggestIntegerType < detail::SignedIntTypes > ::type | IntBiggest
| the biggest signed integer type of the system
typedef detail::SelectIntegerType < 32, detail::UnsignedIntTypes > ::type | UInt32
| 32-bit unsigned int
typedef detail::SelectIntegerType < 64, detail::UnsignedIntTypes > ::type | UInt64
| 64-bit unsigned int
typedef detail::SelectIntegerType < 8, detail::UnsignedIntTypes > ::type | UInt8
| 8-bit unsigned int
typedef detail::SelectBiggestIntegerType < detail::UnsignedIntTypes > ::type | UIntBiggest
| the biggest unsigned integer type of the system
## Variables
| UInt16
| 16-bit unsigned int

## Detailed Description

Since the C++ standard does only specify minimal sizes for the built-in integer types, one cannot rely on them to have a specific size. But pixel types with a specific size are often required in image processing, especially when reading or writing binary files. The VIGRA typedefs are guaranteed to have exactly the correct size. If the system does not provide a suitable type, the typedef will evaluate to `Int_type_not_supported_on_this_platform`.

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)